Page MenuHomePhabricator

Netbox: upgrade to the latest version (>= 2.4)
Closed, ResolvedPublic

Description

As part of the parent Goal, upgrade Netbox to the latest version (>= 2.4) and remove the custom files that helped to generate the custom fields.

Event Timeline

Volans triaged this task as Medium priority.Oct 1 2018, 5:01 PM
Volans created this task.

Change 467936 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/netbox@master] Revert "Allow custom fields in the Device CSV form"

https://gerrit.wikimedia.org/r/467936

Change 467937 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/netbox@master] Revert "Add Wikimedia's initial data"

https://gerrit.wikimedia.org/r/467937

Change 467936 merged by Volans:
[operations/software/netbox@master] Revert "Allow custom fields in the Device CSV form"

https://gerrit.wikimedia.org/r/467936

Change 467937 merged by Volans:
[operations/software/netbox@master] Revert "Add Wikimedia's initial data"

https://gerrit.wikimedia.org/r/467937

Change 467965 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/netbox-deploy@master] Upgrade Netbox to upstream v2.4.6

https://gerrit.wikimedia.org/r/467965

Change 467965 merged by Volans:
[operations/software/netbox-deploy@master] Upgrade Netbox to upstream v2.4.6

https://gerrit.wikimedia.org/r/467965

Mentioned in SAL (#wikimedia-operations) [2018-10-18T09:57:43Z] <volans@deploy1001> Started deploy [netbox/deploy@438f1c0]: Upgrade to upstream v2.4.6 - T205896

Mentioned in SAL (#wikimedia-operations) [2018-10-18T10:00:51Z] <volans@deploy1001> Finished deploy [netbox/deploy@438f1c0]: Upgrade to upstream v2.4.6 - T205896 (duration: 03m 07s)

Mentioned in SAL (#wikimedia-operations) [2018-10-18T10:07:53Z] <volans@deploy1001> Started deploy [netbox/deploy@1cd4d43]: Upgrade to upstream v2.4.6 (2) - T205896

Mentioned in SAL (#wikimedia-operations) [2018-10-18T10:09:54Z] <volans@deploy1001> Finished deploy [netbox/deploy@1cd4d43]: Upgrade to upstream v2.4.6 (2) - T205896 (duration: 02m 01s)

Mentioned in SAL (#wikimedia-operations) [2018-10-18T10:11:56Z] <volans@deploy1001> Started deploy [netbox/deploy@1cd4d43]: Upgrade to upstream v2.4.6 (3) - T205896

Mentioned in SAL (#wikimedia-operations) [2018-10-18T10:12:25Z] <volans@deploy1001> Finished deploy [netbox/deploy@1cd4d43]: Upgrade to upstream v2.4.6 (3) - T205896 (duration: 00m 29s)

Change 468295 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] netbox: update submodule path

https://gerrit.wikimedia.org/r/468295

Change 468295 merged by Volans:
[operations/puppet@production] netbox: update submodule path

https://gerrit.wikimedia.org/r/468295

Mentioned in SAL (#wikimedia-operations) [2018-10-18T10:28:33Z] <volans@deploy1001> Started deploy [netbox/deploy@1cd4d43]: Upgrade to upstream v2.4.6 (4) - T205896

Mentioned in SAL (#wikimedia-operations) [2018-10-18T10:28:38Z] <volans@deploy1001> Finished deploy [netbox/deploy@1cd4d43]: Upgrade to upstream v2.4.6 (4) - T205896 (duration: 00m 05s)

Mentioned in SAL (#wikimedia-operations) [2018-10-18T10:30:02Z] <volans@deploy1001> Started deploy [netbox/deploy@1cd4d43]: Upgrade to upstream v2.4.6 (5) - T205896

Mentioned in SAL (#wikimedia-operations) [2018-10-18T10:31:39Z] <volans@deploy1001> Finished deploy [netbox/deploy@1cd4d43]: Upgrade to upstream v2.4.6 (5) - T205896 (duration: 01m 37s)

Mentioned in SAL (#wikimedia-operations) [2018-10-18T10:31:45Z] <volans@deploy1001> Started deploy [netbox/deploy@1cd4d43]: Upgrade to upstream v2.4.6 (5) - T205896

Mentioned in SAL (#wikimedia-operations) [2018-10-18T10:32:14Z] <volans@deploy1001> Finished deploy [netbox/deploy@1cd4d43]: Upgrade to upstream v2.4.6 (5) - T205896 (duration: 00m 29s)

Volans closed this task as Resolved.Oct 18 2018, 10:49 AM
Volans claimed this task.

Netbox has been upgraded to upstream 2.4.6. Report any issue you might found.